<?php 
/**
 * 核心模块
 */
if(!defined('EMLOG_ROOT')) {exit('error!');} 
?>
<?php
//blog：分类
function index_sort($blogid){
	global $CACHE; 
	$log_cache_sort = $CACHE->readCache('logsort');
	?>
<?php if(!empty($log_cache_sort[$blogid])): ?>
<a class="cat" href="<?php echo Url::sort($log_cache_sort[$blogid]['id']); ?>" title="查看关于 <?php echo $log_cache_sort[$blogid]['name']; ?> 的文章"><?php echo $log_cache_sort[$blogid]['name']; ?><i></i></a>
<?php endif;?>
<?php }?>
<?php
//widget：blogger
function widget_blogger($title){
	global $CACHE;
	$user_cache = $CACHE->readCache('user');
	$name = $user_cache[1]['mail'] != '' ? "<a href=\"mailto:".$user_cache[1]['mail']."\">".$user_cache[1]['name']."</a>" : $user_cache[1]['name'];?>
	<li>
	<h4><?php echo $title; ?></h4>
	<ul class="blogger_sidebar">
	<li>
	<?php if (!empty($user_cache[1]['photo']['src'])): ?>
	<div id="bloggerinfoimg"><img src="<?php echo BLOG_URL.$user_cache[1]['photo']['src']; ?>" width="<?php echo $user_cache[1]['photo']['width']; ?>" height="<?php echo $user_cache[1]['photo']['height']; ?>" alt="blogger" /></div>
	<?php endif;?>
	</li>
	<p><b><?php echo $name; ?></b>
	<?php echo $user_cache[1]['des']; ?>
	<span><?php echo $user_cache[1]['mail']; ?></span>
	</p>
		</ul>
	</li>
<?php }?>
<?php
//widget：日历
function widget_calendar($title){ ?>
	<li>
	<ul>
	<div id="calendar_wrap"><?php echo calendar(); ?></div>
	</ul>
	</li>
<?php }?>
<?php
//widget：标签
function widget_tag($title){
	global $CACHE;
	$tag_cache = $CACHE->readCache('tags');
	$tag_cache = array_slice($tag_cache,0,30); 
	shuffle($tag_cache);?>
	<li>
		<h4><?php echo $title; ?></h4>
		<div class="post-tags">
	<?php foreach($tag_cache as $value): ?>
		<a class="cur" target="_blank" href="<?php echo Url::tag($value['tagurl']); ?>" title="<?php echo $value['usenum']; ?> 篇文章" data-uk-tooltip="{pos:'bottom'}"><?php echo $value['tagname']; ?></a>
	<?php endforeach; ?>
		</div>
	</li>
<?php }?>
<?php
//widget：分类
function widget_sort($title){
	global $CACHE;
	$sort_cache = $CACHE->readCache('sort'); ?>
	<li>
		<h4><?php echo $title; ?></h4>
		<ul>
	<?php
	foreach($sort_cache as $value):
		if ($value['pid'] != 0) continue;
	?>
	<li>
	<a href="<?php echo Url::sort($value['sid']); ?>"><?php echo $value['sortname']; ?>(<?php echo $value['lognum'] ?>)</a>
	<?php if (!empty($value['children'])): ?>
		<ul>
		<?php
		$children = $value['children'];
		foreach ($children as $key):
			$value = $sort_cache[$key];
		?>
		<li>
			<a href="<?php echo Url::sort($value['sid']); ?>"><?php echo $value['sortname']; ?>(<?php echo $value['lognum'] ?>)</a>
		</li>
		<?php endforeach; ?>
		</ul>
	<?php endif; ?>
	</li>
	<?php endforeach; ?>
		</ul>
	</li>
<?php }?>
<?php
//widget：归档
function widget_archive($title){
	global $CACHE; 
	$record_cache = $CACHE->readCache('record');
	?>
	<li>
		<h4><?php echo $title; ?></h4>
		<ul>
			<?php foreach($record_cache as $value): ?>
			<li><a href='<?php echo Url::record($value['date']); ?>'><?php echo $value['record']; ?></a></li>
			<?php endforeach; ?>
		</ul>
	</li>
<?php } ?>
<?php
//widget：搜索
function widget_search($title){ ?>
	<li>
		<ul>
		    <li>
			<form class="s" style="padding: 5px 10px" name="keyform" method="get" action="<?php echo BLOG_URL; ?>index.php">
				<input class="search-input" id="searchform" name="keyword" type="text" placeholder="输入关键字搜索">
				<button class="search-btn" id="searchone" type="submit">搜索</button>
			</form>
			</li>
		</ul>
	</li>
<?php } ?>
<?php
//widget：最新文章
function widget_newlog($title){
	global $CACHE; 
	$newLogs_cache = $CACHE->readCache('newlog');
	?>
	<li>
		<h4><?php echo $title; ?></h4>
		<ul>
	<?php foreach($newLogs_cache as $value): ?>
	<li><a href="<?php echo Url::log($value['gid']); ?>"><?php echo $value['title']; ?></a></li>
	<?php endforeach; ?>
	</ul>
	</li>
<?php }?>
<?php
//widget：热门文章
function widget_hotlog($title){
	$index_hotlognum = Option::get('index_hotlognum');
	$Log_Model = new Log_Model();
	$randLogs = $Log_Model->getHotLog($index_hotlognum);?>
	<li>
		<h4><?php echo $title; ?></h4>
		<ul>
	<?php foreach($randLogs as $value): ?>
	<li><a href="<?php echo Url::log($value['gid']); ?>"><?php echo $value['title']; ?></a></li>
	<?php endforeach; ?>
	</ul>
	</li>
<?php }?>
<?php
//widget：随机文章
function widget_random_log($title){
	$index_randlognum = Option::get('index_randlognum');
	$Log_Model = new Log_Model();
	$randLogs = $Log_Model->getRandLog($index_randlognum);?>
	<li>
		<h4><?php echo $title; ?></h4>
		<ul>
	<?php foreach($randLogs as $value): ?>
	<li><a href="<?php echo Url::log($value['gid']); ?>"><?php echo $value['title']; ?></a></li>
	<?php endforeach; ?>
	</ul>
	</li>
<?php }?>
<?php
//widget：自定义组件
function widget_custom_text($title, $content){ ?>
	<li>
		<h4><?php echo $title; ?></h4>
		<ul>
	<?php echo $content; ?>
		</ul>
	</li>
<?php } ?>
<?php
//widget：最新评论
function widget_newcomm($title){global $CACHE;$com_cache = $CACHE->readCache('comment');?>
	<li>
		<h4><?php echo $title; ?></h4>
	    <?php if(_g('open_ds')=='y'):?>
<ul id="ds-recent-comments" class="ds-recent-comments" data-excerpt-length="15"></ul>
    <?php else:?>
<ul class="uk-list com">
	<?php foreach($com_cache as $value):$url = Url::comment($value['gid'], $value['page'], $value['cid']);?>
	<li class="uk-clearfix">
		<img alt="avatar" class="avatar" src="<?php echo SB_getGravatar($value['mail'])?>"/> <a class="author" title="<?php echo $value['name']; ?>" href="<?php echo $url; ?>"><?php echo preg_replace("/\[F(([1-4]?[0-9])|50)\]/",'<img alt="表情" class="comface" src="'.TEMPLATE_URL.'img/face/$1.gif"  />',$value['content']); ?></a>
	</li>
	<?php endforeach; ?>
</ul>
	<?php endif;?>
</li>
<?php }?>
<?php
//widget：链接
function widget_link($title){
	global $CACHE; 
	$link_cache = $CACHE->readCache('link');
    //if (!blog_tool_ishome()) return;#只在首页显示友链去掉双斜杠注释即可
	?>
	<li>
		<h4><?php echo $title; ?></h4>
		<ul>
	<?php foreach($link_cache as $value): ?>
	<li><a href="<?php echo $value['url']; ?>" title="<?php echo $value['des']; ?>" target="_blank"><?php echo $value['link']; ?></a></li>
	<?php endforeach; ?>
		</ul>
	</li>
<?php }?> 
<?php
//widget：站点统计
function widget_twitter($title){global $CACHE;$user_cache = $CACHE->readCache('user');$name = $user_cache[1]['name'];$sta_cache = Cache::getInstance()->readCache('sta');?>
	<li>
	<h4><?php if($title=="最新微语") {echo '站点统计';}else {echo $title;} ?></h4>
		<ul>
		<li><a>文章数量：<?php echo $sta_cache['lognum'];?>篇</a></li>
		<li><a>评论数量：<?php echo $sta_cache['comnum_all'];?>条</a></li>
		<li><a>存活时间：<?php echo floor((time()-strtotime(_g('webtime')))/86400); ?>天</a></li>
		</ul>
	</li>
<?php }?>
<?php
//blog：手机导航
function blog_navis(){
	global $CACHE; 
	$navi_cache = $CACHE->readCache('navi');
	?>
	<ul id="nav-top-s" class="uk-nav uk-nav-offcanvas" data-uk-nav="">
	<?php
	foreach($navi_cache as $value):

        if ($value['pid'] != 0) {
            continue;
        }

		if($value['url'] == ROLE_ADMIN && (ROLE == ROLE_ADMIN || ROLE == ROLE_WRITER)):
			?>
			<li><a href="<?php echo BLOG_URL; ?>admin/" target="_blank">管理站点</a></li>
			<li><a href="<?php echo BLOG_URL; ?>admin/?action=logout">退出</a></li>
			<?php 
			continue;
		endif;
		$newtab = $value['newtab'] == 'y' ? 'target="_blank"' : '';
        $value['url'] = $value['isdefault'] == 'y' ? BLOG_URL . $value['url'] : trim($value['url'], '/');
        $current_tab = BLOG_URL . trim(Dispatcher::setPath(), '/') == $value['url'] ? '' : 'uk-parent';
		$isdropdown = (!empty($value['children']))  || (!empty($value['childnavi']));
		?>
		<li id="menu-item" class="<?php echo $current_tab;?>">
			<a <?php echo $newtab;?> <?php if($isdropdown): ?>href="#" <?php else:?> href="<?php echo $value['url']; ?>"<?php endif; ?>><?php echo $value['naviname']; ?></a>
			<?php if (!empty($value['children'])) :?>
            <ul class="uk-nav-sub">
                <?php foreach ($value['children'] as $row){
                        echo '<li id="menu-item"><a href="'.Url::sort($row['sid']).'">'.$row['sortname'].'</a></li>';
                }?>
			</ul>
            <?php endif;?>

            <?php if (!empty($value['childnavi'])) :?>
            <ul class="uk-nav-sub">
                <?php foreach ($value['childnavi'] as $row){
                        $newtab = $row['newtab'] == 'y' ? 'target="_blank"' : '';
                        echo '<li id="menu-item" ><a href="' . $row['url'] . "\" $newtab >" . $row['naviname'].'</a></li>';
                }?>
			</ul>
            <?php endif;?>

		</li>
	<?php endforeach; ?>
		<?php if(_g('nav_open')=='y'):?>
		<li id="menu-item" class="<?php echo $current_tab;?>">
		<a href="#" <?php echo $newtab;?>>功能</a>
		<ul class="uk-nav-sub">
		<?php echo _g('nav');?>
		</ul>
		</li>
	<?php endif;?>
	</ul>
<?php }?>
<?php
//blog：导航
function blog_navi(){
	global $CACHE; 
	$navi_cache = $CACHE->readCache('navi');
	?>
	<ul id="nav-top" class="nav uk-nav uk-hidden-small">
	<?php
	foreach($navi_cache as $value):

        if ($value['pid'] != 0) {
            continue;
        }

		if($value['url'] == ROLE_ADMIN && (ROLE == ROLE_ADMIN || ROLE == ROLE_WRITER)):
			?>
			<li id="menu-item"><a href="<?php echo BLOG_URL; ?>admin/" target="_blank">管理站点</a></li>
			<li id="menu-item"><a href="<?php echo BLOG_URL; ?>admin/?action=logout">退出</a></li>
			<?php 
			continue;
		endif;
		$newtab = $value['newtab'] == 'y' ? 'target="_blank"' : '';
        $value['url'] = $value['isdefault'] == 'y' ? BLOG_URL . $value['url'] : trim($value['url'], '/');
        $current_tab = BLOG_URL . trim(Dispatcher::setPath(), '/') == $value['url'] ? 'uk-active' : 'uk-parent';
		?>
		<li id="menu-item" class="<?php echo $current_tab;?>" data-uk-dropdown="{pos:'right-top'}">
			<a href="<?php echo $value['url']; ?>" <?php echo $newtab;?>><?php echo $value['naviname']; ?></a>
			<?php if (!empty($value['children'])) :?>
			<div class="uk-dropdown uk-dropdown-navbar">
            <ul class="uk-nav uk-nav-navbar">
                <?php foreach ($value['children'] as $row){
                        echo '<li id="menu-item" ><a href="'.Url::sort($row['sid']).'">'.$row['sortname'].'</a></li>';
                }?>
			</ul>
			</div>
            <?php endif;?>

            <?php if (!empty($value['childnavi'])) :?>
			<div class="uk-dropdown uk-dropdown-navbar">
            <ul class="uk-nav uk-nav-navbar">
                <?php foreach ($value['childnavi'] as $row){
                        $newtab = $row['newtab'] == 'y' ? 'target="_blank"' : '';
                        echo '<li id="menu-item" ><a href="' . $row['url'] . "\" $newtab >" . $row['naviname'].'</a></li>';
                }?>
			</ul>
			</div>
            <?php endif;?>

		</li>
	<?php endforeach; ?>
		<?php if(_g('nav_open')=='y'):?>
		<li id="menu-item" class="<?php echo $current_tab;?>" data-uk-dropdown="{pos:'right-top'}">
		<a href="javascript:">功能</a>
		<div class="uk-dropdown uk-dropdown-navbar">
		<ul class="uk-nav uk-nav-navbar">
		<?php echo _g('nav');?>
		</ul>
		</div>
		</li>
	<?php endif;?>
	</ul>
<?php }?>
<?php
//blog：置顶
function topflg($top, $sortop='n', $sortid=null){
    echo $top == 'y' ? "<i class='new-label'>推荐</i>" : '';
}
?>
<?php
//blog：编辑
function editflg($logid,$author){
	$editflg = ROLE == ROLE_ADMIN || $author == UID ? '<a href="'.BLOG_URL.'admin/write_log.php?action=edit&gid='.$logid.'" target="_blank">编辑</a>' : '';
	echo $editflg;
}
?>
<?php
//blog：分类
function blog_sort($blogid){
	global $CACHE; 
	$log_cache_sort = $CACHE->readCache('logsort');
	?>
	<?php if(!empty($log_cache_sort[$blogid])): ?>
    <a href="<?php echo Url::sort($log_cache_sort[$blogid]['id']); ?>" pjax="<?php echo $log_cache_sort[$blogid]['name']; ?>" title="查看<?php echo $log_cache_sort[$blogid]['name']; ?>下的全部文章"><?php echo $log_cache_sort[$blogid]['name']; ?> </a>
	<?php else:?>
	未分类
	<?php endif;?>
<?php }?>
<?php
//blog：文章标签
function blog_tag($blogid){
	global $CACHE;
	$log_cache_tags = $CACHE->readCache('logtags');
	if (!empty($log_cache_tags[$blogid])){
		$tag = '';
		foreach ($log_cache_tags[$blogid] as $value){
			$tag .= "<a rel=\"tag\" href=\"".Url::tag($value['tagurl'])."\">".$value['tagname'].'</a>';
		}
		echo $tag; }
	else {$tag = '这篇文章木有标签';
		echo $tag;}
}
?>
<?php
//blog：文章作者
function blog_author($uid){
	global $CACHE;
	$user_cache = $CACHE->readCache('user');
	$author = $user_cache[$uid]['name'];
	if($uid==1){
		$ri='管理员';
	}else{
		$ri='站内会员';
	}
	echo "<a pjax=\"网站首页\" href=\"".Url::author($uid)."\" title=\"$ri\">$author</a>";
}
?>

<?php
//blog：相邻日志
function neighbor_log($neighborLog){extract($neighborLog);?>
<?php if($prevLog):?>
<div class="post-prev"><a pjax='<?php echo $prevLog['title'];?>' rel="prev" href="<?php echo Url::log($prevLog['gid']) ?>"><i class="fa fa-arrow-circle-left"></i> <?php echo $prevLog['title'];?></a></div>
<?php else:?>
<div class="post-prev"><a pjax='木有了' rel="prev" href="<?php echo Url::log($prevLog['gid']) ?>"><i class="fa fa-arrow-circle-left"></i> 木有了</a></div>
<?php endif;?>
<?php if($nextLog && $prevLog):?>
<?php endif;?>
<?php if($nextLog):?>
<div class="post-next"><a pjax='<?php echo $nextLog['title'];?>' rel="next" href="<?php echo Url::log($nextLog['gid']) ?>"><?php echo $nextLog['title'];?> <i class="fa fa-arrow-circle-right"></i></a></div>
<?php else:?>
<div class="post-next"><a pjax='木有了' rel="next" href="<?php echo Url::log($nextLog['gid']) ?>">木有了 <i class="fa fa-arrow-circle-right"></i></a></div>
<?php endif;?>
<?php }?>
<?php
//blog：评论列表
function blog_comments($comments,$params){
    extract($comments);$comnum = count($comments);
	if($commentStacks):?>
	<ol class="commentlist">
	<?php echo"<h3><i class='icon-beaker'></i>已有".$comnum."条评论</h3>"; ?>
	<?php endif; ?>
	<?php
    $count_comments = count($comments);
    $count_floors = $count_comments;
    foreach($comments as $value){
        if($value['pid'] != 0){ $count_floors--; }
    }
    $page = isset($params[5])?intval($params[5]):1;
    $i= $count_floors - ($page - 1)*Option::get('comment_pnum');
	$isGravatar = Option::get('isgravatar');
	foreach($commentStacks as $cid):
    $comment = $comments[$cid];
	global $CACHE;$user_cache = $CACHE->readCache('user');$name = $user_cache[1]['name'];
	$comment['poster'] = $comment['url'] ? '<a href="'.$comment['url'].'" target="_blank" rel="nofollow">'.$comment['poster'].'</a>' : $comment['poster'];
	?>
	<li class="comment-body" id="comment-<?php echo $comment['cid']; ?>">
		<div class="comment-head">
			<?php if($isGravatar == 'y'): ?>
			<img src="<?php echo SB_getGravatar($comment['mail']);?>" alt="avatar" class="avatar" /><?php endif; ?>
			<?php if(strip_tags($comment['poster'])==$name){echo "<span class='sbname'>".$name."</span>";}else{echo "<span class='name'>".$comment['poster']."</span>";} ?><span class="floor"><?php if($i>4) echo '#'.$i.'';elseif($i==4) echo '#Corner';elseif($i==3) echo '#Floor';elseif($i==2) echo '#Bench';elseif($i==1)echo '#Sofa'; ?></span> <?php echo echo_levels("\"".strip_tags($comment['mail'])."\"","\"".$comment['url']."\"");?>
		</div>
		<div class="comment-content">
			<span class="content"><?php echo comcontent($comment['content']); ?></span><span class="reply"><i class='fa fa-desktop'></i> <?php echo get_ip($comment['ip']);?> <i class="fa fa-clock-o"></i> <?php echo $comment['date']; ?><i class="ireply" href="#comment-<?php echo $comment['cid']; ?>" onclick="commentReply(<?php echo $comment['cid']; ?>,this)"><i class="icon-reply"></i>回复</i></span>
			<span class="useragent"><?php if(function_exists('display_useragent')){display_useragent($comment['cid']);} ?></span>
			<?php if(strip_tags($comment['poster'])==$name) echo '<span class="sign"><i class="icon-pencil"></i>求知若饥，虚心若愚。</span>';elseif($i==1) echo '<span class="sign"><i class="icon-pencil"></i>我是沙发！</span>';elseif($i==2) echo '<span class="sign"><i class="icon-pencil"></i>我是板凳！</span>';elseif($i==3) echo '<span class="sign"><i class="icon-pencil"></i>我是地板！</span>'; ?>
		</div>
		<ol class="children"><?php blog_comments_children($comments, $comment['children']); $ii=0;?></ol>
	</li>
	<?php $i--;endforeach; ?>
	</ol>
    <div class="commentnav">
		<?php echo $commentPageUrl;?>
		<?php if($commentPageUrl): ?>
		<?php endif; ?>
    </div>
<?php }?>
<?php
//blog：子评论列表
function blog_comments_children($comments, $children){
	$isGravatar = Option::get('isgravatar');
	foreach($children as $child):
	$comment = $comments[$child];
	global $CACHE;$user_cache = $CACHE->readCache('user');$name = $user_cache[1]['name'];
	$comment['poster'] = $comment['url'] ? '<a href="'.$comment['url'].'" target="_blank" rel="nofollow">'.$comment['poster'].'</a>' : $comment['poster'];
	?>
	<li class="comment-body-children" id="comment-<?php echo $comment['cid']; ?>">
		<div class="comment-head">
			<?php if($isGravatar == 'y'): ?>
			<img src="<?php echo SB_getGravatar($comment['mail'],35);?>" alt="avatar" class="avatar" /><?php endif; ?><?php if(strip_tags($comment['poster'])==$name){echo "<span class='sbname'>".$name."</span>";}else{echo "<span class='name'>".$comment['poster']."</span>";} ?> <?php echo echo_levels("\"".strip_tags($comment['mail'])."\"","\"".$comment['url']."\"");?>
		</div>
		<div class="comment-content">
			<span class="content"><?php echo comcontent($comment['content']); ?></span>
			<span class="reply"><i class='fa fa-desktop'></i> <?php echo get_ip($comment['ip']);?> <i class="fa fa-clock-o"></i> <?php echo $comment['date']; ?><i class="ireply" href="#comment-<?php echo $comment['cid']; ?>" onclick="commentReply(<?php echo $comment['cid']; ?>,this)"><i class="icon-reply"></i>回复</i></span>
			<span class="useragent"><?php if(function_exists('display_useragent')){display_useragent($comment['cid']);} ?></span>
			<?php if(strip_tags($comment['poster'])==$name): ?><span class="sign"><i class="icon-pencil"></i><?php echo "求知若饥，虚心若愚。";?></span><?php endif; ?>
		</div>
		<?php blog_comments_children($comments, $comment['children']); $ii++;?>
	</li>
	<?php endforeach; ?>
<?php }?>
<?php
//blog：发表评论表单
function blog_comments_post($logid,$ckname,$ckmail,$ckurl,$verifyCode,$allow_remark){
	if($allow_remark == 'y'): ?>
	<div id="comment-place">
	<div class="comment-post" id="comment-post">
		<div class="cancel-reply" id="cancel-reply" style="display:none"><a href="javascript:void(0);" onclick="cancelReply()"><i class="icon-forward"></i>取消回复</a></div>
		<form method="post" name="commentform" action="<?php echo BLOG_URL; ?>index.php?action=addcom" class="uk-form" id="commentform">
			<input type="hidden" name="gid" value="<?php echo $logid; ?>" />
			<div id="error"></div>
			<div id="ajaxloading"></div>
			<?php if(ROLE == ROLE_VISITOR): ?>
			<!--获取QQ号码及用户资料-->
			<div class="comment-form-author form-group has-feedback">
				<div class="input-group">
				<div class="input-group-addon"><i class="fa fa-user"></i></div>
				<input class="form-control" placeholder="昵称" id="author" name="comname" maxlength="20" type="text" value="" tabindex="1" size="22">
				<span class="form-control-feedback required">*</span>
				</div>
			</div>
			<div class="comment-form-email form-group has-feedback">
				<div class="input-group">
				<div class="input-group-addon"><i class="fa fa-envelope-o"></i></div>
				<input class="form-control" placeholder="邮箱" id="email"name="commail" maxlength="30" type="email" value="" tabindex="2" size="22">
				<span class="form-control-feedback required">*</span>
				</div>
			</div>
			<div class="comment-form-url form-group has-feedback">
				<div class="input-group">
				<div class="input-group-addon"><i class="fa fa-link"></i></div>
				<input class="form-control" placeholder="网站" id="url" name="comurl" maxlength="30" type="url" value="" tabindex="3" size="22">
				</div>
			</div>
			<?php else: ?>
			<i class="icon-profile-male"></i>  管理员登录
			<?php endif; ?>
			<div class="textarea">
				<div class="faceshow" path="<?php echo TEMPLATE_URL; ?>"></div>
				<textarea name="comment" id="comment" onkeydown="if(event.ctrlKey&&event.keyCode==13){document.getElementById('submit').click();return false};" rows="10" maxlength="500" tabindex="4" placeholder="你也要来一发吗？"></textarea>
			</div>
			<div class="opensmile" onclick="embedSmiley()" title="表情"><i class="icon-happy"></i></div>
	        <div title="签到" onclick="javascript:SIMPALED.Editor.qiandao();" class="qiandao"><i class="fa fa-pencil"></i></div>
	        <div title="赞一个" onclick="javascript:SIMPALED.Editor.good();" class="zan"><i class="fa fa-thumbs-o-up"></i></div>
            <div title="踩一个" onclick="javascript:SIMPALED.Editor.bad();" class="cai"><i class="fa fa-thumbs-o-down"></i></div>
			<div class="smile"><span class="copy-arrow"><span></span></span><?php include View::getView('inc/smile');?></div>
			<p><?php echo $verifyCode; ?><button type="submit" id="submit" tabindex="6" >发布</button></p>
			<input type="hidden" name="pid" id="comment-pid" value="0" size="22" tabindex="1"/>
		</form>
	</div>
	</div>
	<?php endif; ?>
<?php }?>
<?php
//评论内容
function comcontent($sb) {
	$patterns = array ("/@/","/\[blockquote\](.*?)\[\/blockquote\]/","/\[F(([1-4]?[0-9])|50)\]/"); 
	$replace = array ('回复了','<blockquote>$1</blockquote>','<img alt="表情" src="'.TEMPLATE_URL.'img/face/$1.gif" />'); 
	$sb=preg_replace($patterns, $replace, $sb);
	return $sb;
}
?>
<?php
//判断时间
function times($t){
	if($t<=3){
		$ts = '凌晨了,快去休息吧!';
	}elseif($t<=6){
		$ts = '都大半夜了，还不睡在干嘛？';
	}elseif($t<=9){
		$ts = '我是该叫你夜猫子呢？还是早起的鸟儿？';
	}elseif($t<=12){
		$ts = '上午好，骚年！';
	}elseif($t<=15){
		$ts = '中午好！吃午饭了么？';
	}elseif($t<=18){
		$ts = '下午好啊,少侠！';
	}elseif($t<=21){
		$ts = '下班了吧？不去撸两把吗？';
	}elseif($t<=24){
		$ts = '夜深啦,早点休息，注意身体！';
	}
	return $ts;
}
//判断内容页是否百度收录
function baidu($url){
    $url='http://www.baidu.com/s?wd='.$url;
    $curl=curl_init();
    curl_setopt($curl,CURLOPT_URL,$url);
    curl_setopt($curl,CURLOPT_RETURNTRANSFER,1);
    $rs=curl_exec($curl);
    curl_close($curl);
    if(!strpos($rs,'没有找到')){
        return 1;
    }
	else{
        return 0;
    }   
}
function checkbaidu($id){
	$url=Url::log($id);
	if(baidu($url)==1){
		echo "百度已收录";
   } else {
	   echo "<a style=\"color:red;\" rel=\"external nofollow\" title=\"点击提交收录！\" target=\"_blank\" href=\"http://zhanzhang.baidu.com/sitesubmit/index?sitename=$url\" data-uk-tooltip=\"{pos:'bottom'}\">百度未收录</a>";
	}
}
function Copyright(){
	$db = MySql::getInstance();
	?>
	Theme by <a href="http://pjax.cn/" target="_blank"><?php
$str = 'RmluYWxseQ==';
echo base64_decode($str);
?></a>
<?php }?>
<?php
//Custom
function get_pic(){
	$box='';
	$box .='';
	$db = MySql::getInstance();
	$sql = "SELECT blogid as g,filepath,(SELECT title FROM ".DB_PREFIX."blog where `gid`=g) as t FROM ".DB_PREFIX."attachment WHERE `filepath` LIKE '%jpg' OR `filepath` LIKE '%gif' OR `filepath` LIKE '%png' GROUP BY `blogid` ORDER BY `addtime` DESC LIMIT 1, 20";
	$imgs = $db->query($sql);
	while($row = $db->fetch_array($imgs)){
		$box .='<div class="pici"><a title="'.$row['t'].'" href="'.Url::log($row['g']).'"><img alt="'.$row['t'].'" src="'.BLOG_URL.substr($row['filepath'],3,strlen($row['filepath'])).'" width="251" /></a></div>'."\n";}
	echo $box;
}?>
<?php
//comment：输出评论人等级
function echo_levels($comment_author_email,$comment_author_url){
	$DB = MySql::getInstance();
	global $CACHE;
	$user_cache = $CACHE->readCache('user'); 
	$adminEmail = '"'.$user_cache[1]['mail'].'"';
	if($comment_author_email==$adminEmail){
		echo '<a class="admin" title="这货就是管理员" data-uk-tooltip="{pos:\'bottom\'}"><img src="'.TEMPLATE_URL.'img/admin.png"></a>';
	}
	$sql = "SELECT cid as author_count,mail FROM ".DB_PREFIX."comment WHERE mail != '' and mail = $comment_author_email and hide ='n'";
	$res = $DB->query($sql);
	$author_count = mysql_num_rows($res);
	if($author_count>=0 && $author_count<5 && $comment_author_email!=$adminEmail)
		echo '<div class="vip1" title="VIP等级：初入联盟 LV.1" data-uk-tooltip="{pos:\'bottom\'}"><i class="pro"></i><i class="level">Lv.1</i></div>';
	else if($author_count>=5 && $author_count<10 && $comment_author_email!=$adminEmail)
		echo '<div class="vip2" title="VIP等级：英勇黄铜 LV.2" data-uk-tooltip="{pos:\'bottom\'}"><i class="pro"></i><i class="level">Lv.2</i></div>';
	else if($author_count>=10 && $author_count<20 && $comment_author_email!=$adminEmail)
		echo '<div class="vip3" title="VIP等级：不屈白银 LV.3" data-uk-tooltip="{pos:\'bottom\'}"><i class="pro"></i><i class="level">Lv.3</i></div>';
	else if($author_count>=20 && $author_count<30 && $comment_author_email!=$adminEmail)
		echo '<div class="vip4" title="VIP等级：华贵铂金 LV.4" data-uk-tooltip="{pos:\'bottom\'}"><i class="pro"></i><i class="level">Lv.4</i></div>';
	else if($author_count>=30 &&$author_count<40 && $comment_author_email!=$adminEmail)
		echo '<div class="vip5" title="VIP等级：璀璨钻石 LV.5" data-uk-tooltip="{pos:\'bottom\'}"><i class="pro"></i><i class="level">Lv.5</i></div>';
	else if($author_count>=40 && $author_coun<50 && $comment_author_email!=$adminEmail)
		echo '<div class="vip6" title="VIP等级：超凡大师 LV.6" data-uk-tooltip="{pos:\'bottom\'}"><i class="pro"></i><i class="level">Lv.6</i></div>';
	else if($author_count>=50 && $author_coun<60 && $comment_author_email!=$adminEmail)
		echo '<div class="vip7" title="VIP等级：最强王者 LV.7" data-uk-tooltip="{pos:\'bottom\'}"><i class="pro"></i><i class="level">Lv.7</i></div>';
	else if($author_count>=60 && $author_coun<70 && $comment_author_email!=$adminEmail)
		echo '<div class="vip8" title="VIP等级：职业选手 LV.8" data-uk-tooltip="{pos:\'bottom\'}"><i class="pro"></i><i class="level">Lv.8</i></div>';
}
//图片链接
function pic_thumb($content){
    preg_match_all("|<img[^>]+src=\"([^>\"]+)\"?[^>]*>|is", $content, $img);
    $imgsrc = !empty($img[1]) ? $img[1][0] : '';
	if($imgsrc):
		return $imgsrc;
	endif;
}
//获取文章图片数量
function pic($content){
	if(preg_match_all("/<img.*src=[\"'](.*)[\"']/Ui", $content, $img) && !empty($img[1])){
		echo $imgNum = count($img[1]);
	}else{
		echo "0";
	}
}
//头像缓存
function SB_getGravatar($email, $s = 44, $d = 'wavatar', $r = 'g') {
	$f = md5($email);
	$a = TEMPLATE_URL.'img/avatar/'.$f.'.jpg';
	$e = EMLOG_ROOT.'/content/templates/Faded/img/avatar/'.$f.'.jpg';
	$t = 1296000;
	if (empty($email)) $a = TEMPLATE_URL.'img/avatar/default.jpg';
	if (!is_file($e) || (time() - filemtime($e)) > $t ) {
	$g = sprintf("http://secure.gravatar.com",
	(hexdec($f{0})%2)).'/avatar/'.$f.'?s='.$s.'&d='.$d.'&r='.$r;
	copy($g,$e); $a=$g;
    }
	if (filesize($e) < 500) copy($d,$e);
	return $a;
}
//获取附件第一张图片
function getThumbnail($blogid){
    $db = MySql::getInstance();
    $sql = "SELECT * FROM ".DB_PREFIX."attachment WHERE blogid=".$blogid." AND (`filepath` LIKE '%jpg' OR `filepath` LIKE '%gif' OR `filepath` LIKE '%png') ORDER BY `aid` ASC LIMIT 0,1";
    //die($sql);
    $imgs = $db->query($sql);
    $img_path = "";
    while($row = $db->fetch_array($imgs)){
         $img_path .= BLOG_URL.substr($row['filepath'],3,strlen($row['filepath']));
    }
    return $img_path;
}
//格式化内容工具
function blog_tool_purecontent($content, $strlen = null){
        $content = str_replace('继续阅读&gt;&gt;', '', strip_tags($content));
        if ($strlen) {
            $content = subString($content, 0, $strlen);
        }
        return $content;
}

//blog-tool:判断是否是首页
function blog_tool_ishome(){
    if (BLOG_URL . trim(Dispatcher::setPath(), '/') == BLOG_URL){
        return true;
    } else {
        return FALSE;
    }
}
?>
<?php //内容页
function dyyinfo($logid){
	$db=MySql::getInstance();
	$row=mysql_fetch_array(mysql_query("SELECT * FROM ".DB_PREFIX."blog WHERE gid =$logid"));
	if(img_zw($row['content'])){$imgurl = img_zw($row['content']);}elseif(img_fj($row['gid'])){$imgurl = img_fj($row['gid']);}else{$imgurl = TEMPLATE_URL.'img/random/'.rand(1,4).'.jpeg';}?>
<div class="logtop">
					<dt>
						<img src="<?php echo $imgurl;?>">
					</dt>
					<dd>
						<h3><?php echo $row['title'];?></h3>
						<p>标签：<?php echo neirong_tag($logid);?></p>
						<p>分类：<?php echo dy_sort($logid);?></p>
						<p>评论：<?php echo $row['comnum'];?>条</p>
						<p>更新日期：<?php echo gmdate('Y-n-j',$row['date']);?></p>
						<p>观看次数：<?php echo $row['views'];?>次</p>
					</dd>
					<dl>
						<h4>剧情介绍</h4>
						<p><?php echo ClearHtml($row['content']);?></p>
					</dl>
					<dl>
						<h4>播放地址</h4>
						<p>
						<?php 
						$strarr = explode("\n",$row['spdz']);
						$i=1;
						foreach ($strarr as $u){
							$jishu=explode("*",$u);?>
							<a class="spbut" href="<?php echo '?ply='.$i++;?>"><?php echo $jishu[0];?></a>
						<?php }?>
						</p>
					</dl>
				</div>
<?php } ?>
<?php //分类
function dy_sort($blogid){
	global $CACHE; 
	$log_cache_sort = $CACHE->readCache('logsort');
	?>
<?php if(!empty($log_cache_sort[$blogid])): ?>
<a href="<?php echo Url::sort($log_cache_sort[$blogid]['id']); ?>" title="<?php echo $log_cache_sort[$blogid]['name']; ?>"><?php echo $log_cache_sort[$blogid]['name']; ?></a>
<?php endif;?>
<?php }?>
<?php
function img_zw($content){preg_match_all("/<img.*src\s*=\s*[\"|\']?\s*([^>\"\'\s]*)/i",str_ireplace("\\","",$content),$imgsrc);return $imgsrc[1][0];}
function img_fj($logid){$db = MySql::getInstance();$sql = "SELECT * FROM ".DB_PREFIX."attachment WHERE blogid=".$logid." AND (`filepath` LIKE '%jpg' OR `filepath` LIKE '%gif' OR `filepath` LIKE '%png') ORDER BY `aid` ASC LIMIT 0,1";$imgs = $db->query($sql);$img_path = "";while($row = $db->fetch_array($imgs)){$img_path .= BLOG_URL.substr($row['filepath'],3,strlen($row['filepath']));}
return $img_path;}?>